API Referenceapipatient-graphGET /v1/patients/{id}/intake-response

GET /v1/patients/\{id\}/intake-response

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Latest intake response for the patient

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "patient_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "questionnaire_version": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "responses": {
      "type": "object",
      "additionalProperties": {}
    },
    "submitted_at": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "patient_id",
    "brand_id",
    "questionnaire_version",
    "status",
    "responses",
    "submitted_at",
    "created_at",
    "updated_at"
  ]
}

404 Intake response not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{id}/intake-response \
  -H "Authorization: Bearer $ACCESS_TOKEN"